Package org.jsoup.internal

# Class Normalizer

java.lang.Object
org.jsoup.internal.Normalizer

public final class Normalizer extends Object
Util methods for normalizing strings. Jsoup internal use only, please don't depend on this API.

## Constructor Summary

Constructors
Constructor
Description
`Normalizer()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`lowerCase(String input)`
Drops the input string to lower case.
`static String`
`normalize(String input)`
Lower-cases and trims the input string.
`static String`
`normalize(String input, boolean isStringLiteral)`
If a string literal, just lower case the string; otherwise lower-case and trim.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Normalizer

public Normalizer()

## Method Details

### lowerCase

public static String lowerCase(String input)
Drops the input string to lower case.

### normalize

public static String normalize(String input)
Lower-cases and trims the input string.

### normalize

public static String normalize(String input, boolean isStringLiteral)
If a string literal, just lower case the string; otherwise lower-case and trim.